# MatShellGetContext

Returns the user-provided context associated with a shell matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatShellGetContext(Mat mat,void **ctx)

Not Collective

### Input Parameter

mat -the matrix, should have been created with MatCreateShell()

### Output Parameter

ctx -the user provided context

### C++ variants

| void* MatShellGetContext(Mat A) |  | -> |  | MatShellGetContext(A,&t); return t;

### Notes

This routine is intended for use within various shell matrix routines, as set with MatShellSetOperation().

### Keywords

matrix, shell, get, context

### See Also

MatCreateShell(), MatShellSetOperation(), MatShellSetContext()

Level:advanced
Location: src/mat/impls/shell/shell.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages